Freeciv-3.2: /fast/freeciv/nightly/S3_2/client/music.c File Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Data Structures | Functions | Variables
music.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include "connection.h"`
`#include "log.h"`
`#include "audio.h"`
`#include "client_main.h"`
`#include "options.h"`
`#include "music.h"`

Go to the source code of this file.

## Data Structures

struct | musicset

## Functions

void | start_style_music (void)
void | stop_style_music (void)
void | start_menu_music (const char *const tag, char *const alt_tag)
void | stop_menu_music (void)
void | play_single_track (const char *const tag)
void | musicspec_reread_callback (struct option *poption)
struct section_file * | musicspec_load (const char *ms_filename)
void | musicspec_close (struct section_file *tagfile)
const char * | current_musicset_name (void)
const char * | current_musicset_version (void)
const char * | current_musicset_summary (void)
const char * | current_musicset_description (void)

## Variables

struct musicset | current_ms = { .summary = NULL, .description = NULL }

## Function Documentation

## ◆ current_musicset_description()

const char * current_musicset_description | ( | void |  | ) |

Return description of the current musicset. Can be NULL.

Definition at line 262 of file music.c.

Referenced by boot_help_texts().

## ◆ current_musicset_name()

const char * current_musicset_name | ( | void |  | ) |

Return name of the current musicset.

Definition at line 234 of file music.c.

Referenced by boot_help_texts().

## ◆ current_musicset_summary()

const char * current_musicset_summary | ( | void |  | ) |

Return summary of the current musicset. Can be NULL.

Definition at line 254 of file music.c.

Referenced by boot_help_texts().

## ◆ current_musicset_version()

const char * current_musicset_version | ( | void |  | ) |

Return version of the current musicset. Can be NULL.

Definition at line 242 of file music.c.

Referenced by boot_help_texts().

## ◆ musicspec_close()

void musicspec_close | ( | struct section_file * | tagfile | ) |

Close the musicspec. Tagfile should refer to currently active musicspec as some data is not retrievable from tagfile alone, but currently active music only.

This is called from the audio code, and not the vice versa.

Definition at line 219 of file music.c.

Referenced by audio_real_init(), and audio_shutdown().

## ◆ musicspec_load()

struct section_file * musicspec_load | ( | const char * | ms_filename | ) |

Load specified musicspec.

This is called from the audio code, and not the vice versa.

Definition at line 148 of file music.c.

Referenced by audio_real_init().

## ◆ musicspec_reread_callback()

void musicspec_reread_callback | ( | struct option * | poption | ) |

Musicset changed in options.

Definition at line 129 of file music.c.

## ◆ play_single_track()

void play_single_track | ( | const char *const | tag | ) |

Play single track before continuing normal style music

Definition at line 116 of file music.c.

Referenced by handle_play_music().

## ◆ start_menu_music()

void start_menu_music | ( | const char *const | tag,
|  | char *const | alt_tag
| ) |  |

Start menu music.

Definition at line 98 of file music.c.

Referenced by client_main(), handle_endgame_player(), musicspec_reread_callback(), and set_client_state().

## ◆ start_style_music()

void start_style_music | ( | void |  | ) |

Start music suitable for current game situation

Definition at line 44 of file music.c.

Referenced by handle_player_info(), musicspec_reread_callback(), and set_client_state().

## ◆ stop_menu_music()

void stop_menu_music | ( | void |  | ) |

Stop menu music completely.

Definition at line 108 of file music.c.

Referenced by set_client_state().

## ◆ stop_style_music()

void stop_style_music | ( | void |  | ) |

Stop style music completely.

Definition at line 90 of file music.c.

Referenced by set_client_state(), and start_style_music().

## Variable Documentation

## ◆ current_ms

struct musicset current_ms = { .summary = NULL, .description = NULL }

Referenced by current_musicset_description(), current_musicset_name(), current_musicset_summary(), current_musicset_version(), musicspec_close(), and musicspec_load().